<html>
<head>
    <title>Tugas 12 VueJs</title>
</head>
<body>
<div id="app">
<form @submit.prevent="submitForm()" >
<p v-if="errors.length">
<b>Please correct the following errors :</b>
<ul>
<li v-for="error in errors">{{ error }}</li>
</ul>
</p>
<label>Name : </label> <br>
<input type="text" name="name" ref="name" V-model="name"> <br>
<label>Address : </label> <br>
<textarea name="address" ref="address" V-model="address"></textarea> <br>
<label>No_Hp : </label> <br>
<input type="text" name="no_hp" ref="no_hp" v-model="no_hp"> <br>
<input type="submit" value="SUBMIT">
</form>

<br><br>
<table border="1">
<tr v-for="member of members">
<td>
<img width=100 src="https://www.google.com/url?sa=i&url=https%3A%2F%2Fgatsby.co.id%2Flatest-article%2Fdetail%2Fmodel-rambut-pria-yang-pas-dengan-bentuk-wajah&psig=AOvVaw10a7JkPEjNWeALYLeJKEj3&ust=1621430887711000&source=images&cd=vfe&ved=0CAIQjRxqFwoTCIjEivOq0_ACFQAAAAAdAAAAABAD" alt="">
</td>
<td>
    <b>Name : </b> {{ member.name }} <br>
    <b>Address : </b> {{ member address }} <br>
    <b>No_hp : </b> {{member.no_hp }} <br>
</td>
<td>
    <button>Edit</button>
    <button>Hapus</button>
    <button>Upload Foto</button>
</td>
</tr>
</table>
</div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>

<script>
var vm = new Vue({
el: '#app',
data: {
name : '',
address : '',
no_hp: '',
errors : [],
members : [],
photoDomain : 'http://demo-api-vue.sanbercloud.com'
},
methods: {
submitForm : function() {
this.errors = []


if (this.name.length === 0) {
this.errors.push('Masukkan Nama Anda')
this. $refs.name.focus()
}

if (this.address.length > 50) {
this.errors.push('Alamat tidak boleh lebih dari 50 karakter')
this. $refs.address, focus()
}

if (this.errors.length === 0) {
alert('Terima kasih Anda telah mengisi data dengan benar')
}
},
getMembers : function() {
const config = {
method : "get",
url : "http://demo-api-vue.sanbercloud.com/api/member"
}
axios(config)
.then( (response) => {
this.members = response.data.members 
})
.catch( (error) => {
console.log(error)
}),
created(){
this.getMembers()
}   
}
}
})

</script>
</body>
</html>